Board index » kylix » diff between Qt libs

diff between Qt libs


2005-01-26 06:54:00 PM
kylix1
Where I can find borland's patches for libqt shipped with kylix 3 ?
Why ?
Because :
I'm using libqt.so.2.3.2 (compiled by myself) and it seems that it have
problems with memory.
1. export CLX_USE_LIBQT=1
2. application main form is MDIForm.
3. open 10-20 mdi childs
4. close all childs
5. open again 10-20 mdi childs
6 .close all childs
7 ....repeat steps
On my machine those steps have (PIV 3Ghz 1Gb RAM) to be repeated 5-6 times
until you can see effect.
Forms are opening slower and slower,and after one hour of opening and
closing forms...I must wait around one minute to open single form which
have only one TButton and two TPanel's. (there's no opened forms except new
one).
On slower machines you can see that effect after approx. 10 minutes.
So app is slower and slower....and it needs to be restarted to work normally
again.
With libborqt** it works normal, but I need libqt because of fonts AA :)
Why qt-mt331.dll is shiped with Delphi 7 ? That means that we can use
CLX_USE_LIBQT on windows also ?
tnx.
 
 

Re:diff between Qt libs

zeljko wrote:
Quote
Where I can find borland's patches for libqt shipped with kylix 3 ?
They should be on your installation CD.
Quote
Why qt-mt331.dll is shiped with Delphi 7 ?
Do you have a special Delphi 7 version? I do not have qt-mt331.dll. I have
only qtintf70.dll. And qt-mt331.dll would mean that you would be able to
use Qt 3.3.1 not the old Qt 2.x version and that is not possible (without
doing a lot of work).
--
Regards,
Andreas Hausladen
(www.kylix-patch.de.vu - unofficial Kylix 3 patches)
(andy.jgknet.de/blog)
 

Re:diff between Qt libs

Andreas Hausladen wrote:
Quote
zeljko wrote:

>Where I can find borland's patches for libqt shipped with kylix 3 ?

They should be on your installation CD.
stupid me .... they are there and there is exactly what I need ;)
Quote

>Why qt-mt331.dll is shiped with Delphi 7 ?

Do you have a special Delphi 7 version? I do not have qt-mt331.dll. I have
only qtintf70.dll. And qt-mt331.dll would mean that you would be able to
use Qt 3.3.1 not the old Qt 2.x version and that is not possible (without
doing a lot of work).
you're right ... some other program installed qt-mt331.dll , it wasn't
Delphi 7 ....
 

{smallsort}